Bug 23512 - Reindent notices and slips page (letter.tt)
Summary: Reindent notices and slips page (letter.tt)
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-27 16:25 UTC by Owen Leonard
Modified: 2019-09-13 12:44 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 23512: Reindent notices and slips page (letter.tt) (57.86 KB, patch)
2019-08-30 15:33 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23512: (follow-up) Markup comments and corrections (6.95 KB, patch)
2019-08-30 15:33 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23512: Reindent notices and slips page (letter.tt) (57.91 KB, patch)
2019-09-01 21:38 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 23512: (follow-up) Markup comments and corrections (7.00 KB, patch)
2019-09-01 21:39 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 23512: (follow-up) Markup comments and corrections (7.06 KB, patch)
2019-09-03 13:28 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 23512: Reindent notices and slips page (letter.tt) (57.97 KB, patch)
2019-09-03 13:29 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 23512: (follow-up) Markup comments and corrections (7.06 KB, patch)
2019-09-03 13:29 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-08-27 16:25:46 UTC
I would like to reindent tools/letter.tt: Correct indentation, replace tabs with spaces, and add some comments to clarify the structure.
Comment 1 Owen Leonard 2019-08-30 15:33:16 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2019-08-30 15:33:19 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2019-09-01 21:38:58 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2019-09-01 21:39:03 UTC Comment hidden (obsolete)
Comment 5 Nick Clemens 2019-09-03 13:28:55 UTC Comment hidden (obsolete)
Comment 6 Nick Clemens 2019-09-03 13:29:24 UTC
Created attachment 92548 [details] [review]
Bug 23512: Reindent notices and slips page (letter.tt)

This patch re-indents the template for notices and slips. It
makes only whitespace changes. It should have no effect on the behavior
of the page.

To test, go to Tools -> Notices & slips.

Test every aspect of the notice creation and edit process. At each step
the page should work correctly.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 7 Nick Clemens 2019-09-03 13:29:28 UTC
Created attachment 92549 [details] [review]
Bug 23512: (follow-up) Markup comments and corrections

This patch adds comments to the template to highlight the markup
structure. It also corrects some minor markup errors.

This patch should have no effect on the interface or functionality.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 8 Martin Renvoize 2019-09-09 10:29:43 UTC
So pleased to see lots of templates getting this treatment.. nice to have clean nicely indented files to work on.
Comment 9 Martin Renvoize 2019-09-09 10:34:18 UTC
Nice work!

Pushed to master for 19.11.00
Comment 10 Fridolin SOMERS 2019-09-13 12:44:14 UTC
Enhancement not pushed to 19.05.x